package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.dto.WorkStageTransferDTO;
import com.prolog.cs.biz.outbound.model.vo.WavePreCalResultVO;
import com.prolog.framework.common.message.RestMessage;
import com.prolog.upcloud.base.inventory.vo.StockWaveResultVO;

import java.util.List;

public interface WorkStageService {

    void tryHandle(StockWaveResultVO waveResult, List<WavePreCalResultVO> resultList);

    long releaseWorkStage(String billGroupId);

    RestMessage<Boolean> transfer(WorkStageTransferDTO workStageTransferDTO);

}
